Package org.apache.lucene.util.bkd

# Record Class BKDRadixSelector.PathSlice

java.lang.Object
java.lang.Record
org.apache.lucene.util.bkd.BKDRadixSelector.PathSlice

Enclosing class:
  `BKDRadixSelector`

public static record BKDRadixSelector.PathSlice(PointWriter writer, long start, long count) extends Record
Sliced reference to points in an PointWriter.

## Constructor Summary

Constructors
Constructor
Description
`PathSlice(PointWriter writer, long start, long count)`
Creates an instance of a `PathSlice` record class.

## Method Summary

Modifier and Type
Method
Description
`long`
`count()`
Returns the value of the `count` record component.
`final boolean`
`equals(Object o)`
Indicates whether some other object is "equal to" this one.
`final int`
`hashCode()`
Returns a hash code value for this object.
`long`
`start()`
Returns the value of the `start` record component.
`final String`
`toString()`
Returns a string representation of this record class.
`PointWriter`
`writer()`
Returns the value of the `writer` record component.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### PathSlice

public PathSlice(PointWriter writer, long start, long count)
Creates an instance of a `PathSlice` record class.

Parameters:
  `writer` - the value for the `writer` record component
  `start` - the value for the `start` record component
  `count` - the value for the `count` record component

## Method Details

### toString

public final String toString()
Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.

Specified by:
  `toString` in class `Record`
Returns:
  a string representation of this object

### hashCode

public final int hashCode()
Returns a hash code value for this object. The value is derived from the hash code of each of the record components.

Specified by:
  `hashCode` in class `Record`
Returns:
  a hash code value for this object

### equals

public final boolean equals(Object o)
Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. Reference components are compared with `Objects::equals(Object,Object)`; primitive components are compared with '=='.

Specified by:
  `equals` in class `Record`
Parameters:
  `o` - the object with which to compare
Returns:
  `true` if this object is the same as the `o` argument; `false` otherwise.

### writer

public PointWriter writer()
Returns the value of the `writer` record component.

Returns:
  the value of the `writer` record component

### start

public long start()
Returns the value of the `start` record component.

Returns:
  the value of the `start` record component

### count

public long count()
Returns the value of the `count` record component.

Returns:
  the value of the `count` record component